Keywords v3
CRUD operations for keywords. The Keyword Resource provides detailed information about keywords.
Endpoints
GET /resource/v3/keywords
Retrieve a list of keywords
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
keyword |
query | string | No | Get keyword objects by keyword value. Supports '=' operator. (s. [resource queries syntax](../resource_queries)). |
Responses
{
"_links": {},
"_pagination": {},
"items": [
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {},
"realm": {
"_id": 23,
"_uuid": "string",
"_links": {},
"name": "xyzpublishing",
"screenname": "XYZ Publishing"
},
"keyword": "Cultural"
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_links": {
"type": "object"
},
"_pagination": {
"type": "object"
},
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the keyword (legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the keyword",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"description": "Contains links to related resources, such as texts and the resource itself."
},
"realm": {
"type": "object",
"description": "Reference to realm which owns this object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Realm ID",
"example": 23
},
"_uuid": {
"type": "string",
"description": "ID of resource in V4 version of resource"
},
"_links": {
"type": "object"
},
"name": {
"type": "string",
"description": "Name of the realm",
"example": "xyzpublishing"
},
"screenname": {
"type": "string",
"description": "Screenname of the realm",
"example": "XYZ Publishing"
}
},
"required": [
"_id"
]
},
"keyword": {
"type": "string",
"description": "Keyword value.",
"nullable": true,
"example": "Cultural"
}
}
}
}
},
"required": [
"_links",
"_pagination",
"items"
]
}
POST /resource/v3/keywords
Create a new keyword
Request body
{
"keyword": "Cultural"
}
Schema of the request body
{
"type": "object",
"additionalProperties": false,
"properties": {
"keyword": {
"type": "string",
"description": "Keyword value.",
"nullable": true,
"example": "Cultural"
}
}
}
Responses
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {},
"realm": {
"_id": 23,
"_uuid": "string",
"_links": {},
"name": "xyzpublishing",
"screenname": "XYZ Publishing"
},
"keyword": "Cultural"
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the keyword (legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the keyword",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"description": "Contains links to related resources, such as texts and the resource itself."
},
"realm": {
"type": "object",
"description": "Reference to realm which owns this object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Realm ID",
"example": 23
},
"_uuid": {
"type": "string",
"description": "ID of resource in V4 version of resource"
},
"_links": {
"type": "object"
},
"name": {
"type": "string",
"description": "Name of the realm",
"example": "xyzpublishing"
},
"screenname": {
"type": "string",
"description": "Screenname of the realm",
"example": "XYZ Publishing"
}
},
"required": [
"_id"
]
},
"keyword": {
"type": "string",
"description": "Keyword value.",
"nullable": true,
"example": "Cultural"
}
}
}
{
"errors": [
{
"_id": "string",
"stack_trace": [
"string"
],
"message": "string",
"vars": {}
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"required": [
"errors"
],
"properties": {
"errors": {
"type": "array",
"description": "List of errors occurred",
"items": {
"type": "object",
"additionalProperties": false,
"required": [
"_id",
"message",
"stack_trace",
"vars"
],
"properties": {
"_id": {
"type": "string",
"description": "The identifier of the error"
},
"stack_trace": {
"type": "array",
"description": "A stacktrace of the error occurred. Only for testing systems.",
"items": {
"type": "string"
}
},
"message": {
"type": "string",
"description": "A translated message of the error"
},
"vars": {
"type": "object",
"description": "A dict containing additional values of the context of the error."
}
}
}
}
}
}
GET /resource/v3/keywords/{id}
Retrieve a single keyword by ID
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | string | No | The unique identifier of the keyword |
Responses
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {},
"realm": {
"_id": 23,
"_uuid": "string",
"_links": {},
"name": "xyzpublishing",
"screenname": "XYZ Publishing"
},
"keyword": "Cultural"
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the keyword (legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the keyword",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"description": "Contains links to related resources, such as texts and the resource itself."
},
"realm": {
"type": "object",
"description": "Reference to realm which owns this object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Realm ID",
"example": 23
},
"_uuid": {
"type": "string",
"description": "ID of resource in V4 version of resource"
},
"_links": {
"type": "object"
},
"name": {
"type": "string",
"description": "Name of the realm",
"example": "xyzpublishing"
},
"screenname": {
"type": "string",
"description": "Screenname of the realm",
"example": "XYZ Publishing"
}
},
"required": [
"_id"
]
},
"keyword": {
"type": "string",
"description": "Keyword value.",
"nullable": true,
"example": "Cultural"
}
}
}
PUT /resource/v3/keywords/{id}
Update keyword
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | string | No | The unique identifier of the keyword |
Request body
{
"keyword": "Cultural"
}
Schema of the request body
{
"type": "object",
"additionalProperties": false,
"properties": {
"keyword": {
"type": "string",
"description": "Keyword value.",
"nullable": true,
"example": "Cultural"
}
}
}
Responses
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {},
"realm": {
"_id": 23,
"_uuid": "string",
"_links": {},
"name": "xyzpublishing",
"screenname": "XYZ Publishing"
},
"keyword": "Cultural"
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the keyword (legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the keyword",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"description": "Contains links to related resources, such as texts and the resource itself."
},
"realm": {
"type": "object",
"description": "Reference to realm which owns this object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Realm ID",
"example": 23
},
"_uuid": {
"type": "string",
"description": "ID of resource in V4 version of resource"
},
"_links": {
"type": "object"
},
"name": {
"type": "string",
"description": "Name of the realm",
"example": "xyzpublishing"
},
"screenname": {
"type": "string",
"description": "Screenname of the realm",
"example": "XYZ Publishing"
}
},
"required": [
"_id"
]
},
"keyword": {
"type": "string",
"description": "Keyword value.",
"nullable": true,
"example": "Cultural"
}
}
}
{
"errors": [
{
"_id": "string",
"stack_trace": [
"string"
],
"message": "string",
"vars": {}
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"required": [
"errors"
],
"properties": {
"errors": {
"type": "array",
"description": "List of errors occurred",
"items": {
"type": "object",
"additionalProperties": false,
"required": [
"_id",
"message",
"stack_trace",
"vars"
],
"properties": {
"_id": {
"type": "string",
"description": "The identifier of the error"
},
"stack_trace": {
"type": "array",
"description": "A stacktrace of the error occurred. Only for testing systems.",
"items": {
"type": "string"
}
},
"message": {
"type": "string",
"description": "A translated message of the error"
},
"vars": {
"type": "object",
"description": "A dict containing additional values of the context of the error."
}
}
}
}
}
}
DELETE /resource/v3/keywords/{id}
Delete keyword by ID
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | string | No | The unique identifier of the keyword |
Responses
{
"errors": [
{
"_id": "string",
"stack_trace": [
"string"
],
"message": "string",
"vars": {}
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"required": [
"errors"
],
"properties": {
"errors": {
"type": "array",
"description": "List of errors occurred",
"items": {
"type": "object",
"additionalProperties": false,
"required": [
"_id",
"message",
"stack_trace",
"vars"
],
"properties": {
"_id": {
"type": "string",
"description": "The identifier of the error"
},
"stack_trace": {
"type": "array",
"description": "A stacktrace of the error occurred. Only for testing systems.",
"items": {
"type": "string"
}
},
"message": {
"type": "string",
"description": "A translated message of the error"
},
"vars": {
"type": "object",
"description": "A dict containing additional values of the context of the error."
}
}
}
}
}
}
GET /resource/v3/keywords/{keyword_id}/texts
Retrieve a list of keyword texts of keyword
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
keyword_id |
path | string | No | The unique identifier of the keyword |
Responses
{
"_links": {},
"_pagination": {},
"items": [
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {
"self": "https://api.openpublishing.com/resource/v3/keywords/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"language": "eng",
"mime_type": "text/plain",
"text": "Sample keyword text.",
"timestamp": 1743391587,
"type": "website_meta_description"
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_links": {
"type": "object"
},
"_pagination": {
"type": "object"
},
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the keyword text (legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the keyword text",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"additionalProperties": false,
"properties": {
"self": {
"type": "string",
"example": "https://api.openpublishing.com/resource/v3/keywords/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
}
}
},
"language": {
"type": "string",
"description": "Language code in ISO 639-2 format indicating the language of the text.",
"example": "eng"
},
"mime_type": {
"type": "string",
"description": "MIME type of the text content.",
"example": "text/plain"
},
"text": {
"type": "string",
"example": "Sample keyword text.",
"description": "The actual text content."
},
"timestamp": {
"type": "integer",
"description": "Unix timestamp representing creation or modification time.",
"example": 1743391587
},
"type": {
"type": "string",
"description": "The type of text content.",
"enum": [
"website_meta_description",
"website_description_short",
"website_description_long"
],
"x-enum-descriptions": {
"website_meta_description": "HTML header meta description",
"website_header": "Landing page header"
},
"example": "website_meta_description"
}
}
}
}
},
"required": [
"_links",
"_pagination",
"items"
]
}
POST /resource/v3/keywords/{keyword_id}/texts
Create a new keyword text
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
keyword_id |
path | string | No | The unique identifier of the keyword |
Request body
{
"language": "eng",
"mime_type": "text/plain",
"text": "Sample keyword text.",
"type": "website_meta_description"
}
Schema of the request body
{
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string",
"description": "Language code in ISO 639-2 format indicating the language of the text.",
"example": "eng"
},
"mime_type": {
"type": "string",
"description": "MIME type of the text content.",
"example": "text/plain"
},
"text": {
"type": "string",
"example": "Sample keyword text.",
"description": "The actual text content."
},
"type": {
"type": "string",
"description": "The type of text content.",
"enum": [
"website_meta_description",
"website_description_short",
"website_description_long"
],
"x-enum-descriptions": {
"website_meta_description": "HTML header meta description",
"website_header": "Landing page header"
},
"example": "website_meta_description"
}
}
}
Responses
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {
"self": "https://api.openpublishing.com/resource/v3/keywords/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"language": "eng",
"mime_type": "text/plain",
"text": "Sample keyword text.",
"timestamp": 1743391587,
"type": "website_meta_description"
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the keyword text (legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the keyword text",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"additionalProperties": false,
"properties": {
"self": {
"type": "string",
"example": "https://api.openpublishing.com/resource/v3/keywords/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
}
}
},
"language": {
"type": "string",
"description": "Language code in ISO 639-2 format indicating the language of the text.",
"example": "eng"
},
"mime_type": {
"type": "string",
"description": "MIME type of the text content.",
"example": "text/plain"
},
"text": {
"type": "string",
"example": "Sample keyword text.",
"description": "The actual text content."
},
"timestamp": {
"type": "integer",
"description": "Unix timestamp representing creation or modification time.",
"example": 1743391587
},
"type": {
"type": "string",
"description": "The type of text content.",
"enum": [
"website_meta_description",
"website_description_short",
"website_description_long"
],
"x-enum-descriptions": {
"website_meta_description": "HTML header meta description",
"website_header": "Landing page header"
},
"example": "website_meta_description"
}
}
}
{
"errors": [
{
"_id": "string",
"stack_trace": [
"string"
],
"message": "string",
"vars": {}
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"required": [
"errors"
],
"properties": {
"errors": {
"type": "array",
"description": "List of errors occurred",
"items": {
"type": "object",
"additionalProperties": false,
"required": [
"_id",
"message",
"stack_trace",
"vars"
],
"properties": {
"_id": {
"type": "string",
"description": "The identifier of the error"
},
"stack_trace": {
"type": "array",
"description": "A stacktrace of the error occurred. Only for testing systems.",
"items": {
"type": "string"
}
},
"message": {
"type": "string",
"description": "A translated message of the error"
},
"vars": {
"type": "object",
"description": "A dict containing additional values of the context of the error."
}
}
}
}
}
}
GET /resource/v3/keywords/{keyword_id}/texts/{id}
Retrieve a single keyword text by ID
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | string | No | The unique identifier of the keyword text | |
keyword_id |
path | string | No | The unique identifier of the keyword |
Responses
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {
"self": "https://api.openpublishing.com/resource/v3/keywords/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"language": "eng",
"mime_type": "text/plain",
"text": "Sample keyword text.",
"timestamp": 1743391587,
"type": "website_meta_description"
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the keyword text (legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the keyword text",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"additionalProperties": false,
"properties": {
"self": {
"type": "string",
"example": "https://api.openpublishing.com/resource/v3/keywords/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
}
}
},
"language": {
"type": "string",
"description": "Language code in ISO 639-2 format indicating the language of the text.",
"example": "eng"
},
"mime_type": {
"type": "string",
"description": "MIME type of the text content.",
"example": "text/plain"
},
"text": {
"type": "string",
"example": "Sample keyword text.",
"description": "The actual text content."
},
"timestamp": {
"type": "integer",
"description": "Unix timestamp representing creation or modification time.",
"example": 1743391587
},
"type": {
"type": "string",
"description": "The type of text content.",
"enum": [
"website_meta_description",
"website_description_short",
"website_description_long"
],
"x-enum-descriptions": {
"website_meta_description": "HTML header meta description",
"website_header": "Landing page header"
},
"example": "website_meta_description"
}
}
}
PUT /resource/v3/keywords/{keyword_id}/texts/{id}
Update keyword text
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | string | No | The unique identifier of the keyword text | |
keyword_id |
path | string | No | The unique identifier of the keyword |
Request body
{
"language": "eng",
"mime_type": "text/plain",
"text": "Sample keyword text.",
"type": "website_meta_description"
}
Schema of the request body
{
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string",
"description": "Language code in ISO 639-2 format indicating the language of the text.",
"example": "eng"
},
"mime_type": {
"type": "string",
"description": "MIME type of the text content.",
"example": "text/plain"
},
"text": {
"type": "string",
"example": "Sample keyword text.",
"description": "The actual text content."
},
"type": {
"type": "string",
"description": "The type of text content.",
"enum": [
"website_meta_description",
"website_description_short",
"website_description_long"
],
"x-enum-descriptions": {
"website_meta_description": "HTML header meta description",
"website_header": "Landing page header"
},
"example": "website_meta_description"
}
}
}
Responses
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {
"self": "https://api.openpublishing.com/resource/v3/keywords/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"language": "eng",
"mime_type": "text/plain",
"text": "Sample keyword text.",
"timestamp": 1743391587,
"type": "website_meta_description"
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the keyword text (legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the keyword text",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"additionalProperties": false,
"properties": {
"self": {
"type": "string",
"example": "https://api.openpublishing.com/resource/v3/keywords/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
}
}
},
"language": {
"type": "string",
"description": "Language code in ISO 639-2 format indicating the language of the text.",
"example": "eng"
},
"mime_type": {
"type": "string",
"description": "MIME type of the text content.",
"example": "text/plain"
},
"text": {
"type": "string",
"example": "Sample keyword text.",
"description": "The actual text content."
},
"timestamp": {
"type": "integer",
"description": "Unix timestamp representing creation or modification time.",
"example": 1743391587
},
"type": {
"type": "string",
"description": "The type of text content.",
"enum": [
"website_meta_description",
"website_description_short",
"website_description_long"
],
"x-enum-descriptions": {
"website_meta_description": "HTML header meta description",
"website_header": "Landing page header"
},
"example": "website_meta_description"
}
}
}
{
"errors": [
{
"_id": "string",
"stack_trace": [
"string"
],
"message": "string",
"vars": {}
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"required": [
"errors"
],
"properties": {
"errors": {
"type": "array",
"description": "List of errors occurred",
"items": {
"type": "object",
"additionalProperties": false,
"required": [
"_id",
"message",
"stack_trace",
"vars"
],
"properties": {
"_id": {
"type": "string",
"description": "The identifier of the error"
},
"stack_trace": {
"type": "array",
"description": "A stacktrace of the error occurred. Only for testing systems.",
"items": {
"type": "string"
}
},
"message": {
"type": "string",
"description": "A translated message of the error"
},
"vars": {
"type": "object",
"description": "A dict containing additional values of the context of the error."
}
}
}
}
}
}
DELETE /resource/v3/keywords/{keyword_id}/texts/{id}
Delete keyword text
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | string | No | The unique identifier of the keyword text | |
keyword_id |
path | string | No | The unique identifier of the keyword |
Responses
{
"errors": [
{
"_id": "string",
"stack_trace": [
"string"
],
"message": "string",
"vars": {}
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"required": [
"errors"
],
"properties": {
"errors": {
"type": "array",
"description": "List of errors occurred",
"items": {
"type": "object",
"additionalProperties": false,
"required": [
"_id",
"message",
"stack_trace",
"vars"
],
"properties": {
"_id": {
"type": "string",
"description": "The identifier of the error"
},
"stack_trace": {
"type": "array",
"description": "A stacktrace of the error occurred. Only for testing systems.",
"items": {
"type": "string"
}
},
"message": {
"type": "string",
"description": "A translated message of the error"
},
"vars": {
"type": "object",
"description": "A dict containing additional values of the context of the error."
}
}
}
}
}
}
Schemas
Keyword
| Name | Type | Description |
|---|---|---|
_id |
integer Unique identifier for the keyword (legacy integer ID)
Example: |
Unique identifier for the keyword (legacy integer ID) |
_links |
Contains links to related resources, such as texts and the resource itself. |
Contains links to related resources, such as texts and the resource itself. |
_uuid |
string UUID identifier for the keyword
Example: |
UUID identifier for the keyword |
_version |
string API Version
Example: |
API Version |
keyword |
string| null Keyword value.
Example: |
Keyword value. |
realm |
Properties: _id, _uuid, _links, name, screennameReference to realm which owns this object |
Reference to realm which owns this object |
Keyword Request
| Name | Type | Description |
|---|---|---|
keyword |
string| null Keyword value.
Example: |
Keyword value. |
Keyword Text
| Name | Type | Description |
|---|---|---|
_id |
integer Unique identifier for the keyword text (legacy integer ID)
Example: |
Unique identifier for the keyword text (legacy integer ID) |
_links |
Properties: self |
|
_uuid |
string UUID identifier for the keyword text
Example: |
UUID identifier for the keyword text |
_version |
string API Version
Example: |
API Version |
language |
string Language code in ISO 639-2 format indicating the language of the text.
Example: |
Language code in ISO 639-2 format indicating the language of the text. |
mime_type |
string MIME type of the text content.
Example: |
MIME type of the text content. |
text |
string The actual text content.
Example: |
The actual text content. |
timestamp |
integer Unix timestamp representing creation or modification time.
Example: |
Unix timestamp representing creation or modification time. |
type |
string The type of text content.
Example: |
The type of text content. |
Keyword Text Request
| Name | Type | Description |
|---|---|---|
language |
string Language code in ISO 639-2 format indicating the language of the text.
Example: |
Language code in ISO 639-2 format indicating the language of the text. |
mime_type |
string MIME type of the text content.
Example: |
MIME type of the text content. |
text |
string The actual text content.
Example: |
The actual text content. |
type |
string The type of text content.
Example: |
The type of text content. |